log4cplus::device_appender_detail::device_type_traits< boost::shared_ptr< T > > Struct Template Reference

`#include <deviceappender.hxx>`

Inheritance diagram for log4cplus::device_appender_detail::device_type_traits< boost::shared_ptr< T > >:
[legend]
Collaboration diagram for log4cplus::device_appender_detail::device_type_traits< boost::shared_ptr< T > >:
[legend]

## Public Types

typedef boost::shared_ptr< T > | device_type

## Static Public Member Functions

static T & | unwrap (device_type const &ptr)

## Detailed Description

template<typename T>
struct log4cplus::device_appender_detail::device_type_traits< boost::shared_ptr< T > >

Definition at line 64 of file deviceappender.hxx.

## Member Typedef Documentation

## device_type

template<typename T>

typedef boost::shared_ptr<T> log4cplus::device_appender_detail::device_type_traits< boost::shared_ptr< T > >::device_type

Definition at line 66 of file deviceappender.hxx.

## Member Function Documentation

## unwrap()

template<typename T>

T & log4cplus::device_appender_detail::device_type_traits< boost::shared_ptr< T > >::unwrap | ( | device_type const & | ptr | ) |

inline static

Definition at line 70 of file deviceappender.hxx.

The documentation for this struct was generated from the following file:

- deviceappender.hxx